local anim8 = require('anim8')
function newSprite( filename )
	-- t is the table in which we will create the sprite
	local t = {}
	t.image = love.graphics.newImage("Assets/Sprites/"..filename) -- Load the image
	-- We will know keep a grid!
	t.g     = anim8.newGrid(32,32,
		t.image:getWidth(),
		t.image:getHeight()
		)
	-- All the animations will be stored in a sub-table of t
	--[[
			Structure of each sprite sheet
			------------------------------
			Each sprite sheet will measure  96 x 128
			It will contain 12 sprite frames in this structure:
			
			D1 D2 D3	-	Down Frames
			L1 L2 L3	-	Left Frames
			R1 R2 R3	-	Right Frames
			U1 U2 U3	-	Up frames

			Each frame will measure 32x32
	--]]
	t.animations = {}
	t.animations["Down"] = anim8.newAnimation( t.g('1-3',1), 0.1 )
	t.animations["Left"] = anim8.newAnimation( t.g('1-3',2), 0.1 )
	t.animations["Right"]= anim8.newAnimation( t.g('1-3',3), 0.1 )
	t.animations["Up"]   = anim8.newAnimation( t.g('1-3',4), 0.1 )
	-- Over. Return the table
	function  t:update(dt)
		for k,v in pairs(self.animations) do
			self.animations[k]:update(dt)
		end
	end
	function t:draw(pose,x,y)
		self.animations[pose]:draw(self.image,x,y)
	end
	return t
end